# Dadou - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}


Name:		kdeutils
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Utilities
Version:	2.2.2
Release:	28mdk
URL:            http://www.kde.org/
Source:		%name-%version.tar.bz2
Patch0:		kdeutils-2.2-ktimer_icons.diff.bz2
Patch1:		kdeutils-2.2.2-fix-kpm.patch.bz2
Patch2:		kdeutils-2.2.2-fix-kedit-send-mail-disable-send-mail-when-recipient-is-empty.patch.bz2
Patch3:		kdeutils-2.2.2-fix-kedit-fix-validator-in-configure-dialogbox.patch.bz2
Patch4:		kdeutils-2.2.2-fix-kljettool.patch.bz2
Patch5:		kdeutils-2.2.2-fix-klpq.patch.bz2
Patch6:		kdeutil-2.2.2-fix-karm-disable-button-when-item-is-not-selected.patch.bz2	

# Laurent - 2.2.2-20mdk - fix uninitialise variable, patch commited in kde 2.2.2
Patch7:		kdeutils-2.2.2-fix-uninitialise-variable.patch.bz2

# Laurent - 2.2.2-20mdk - fix memory leak, patch commited in kde 2.2.2
Patch8:		kdeutils-2.2.2-fix-ark-mem-leak.patch.bz2

# Laurent - 2.2.2-20mdk - fix mem leak in ark, patch commited in kde 2.2.2
Patch9:		kdeutils-2.2.2-fix-ark-mem-leak2.patch.bz2

# Laurent - 2.2.2-21mdk - fix default extract value patch commited in kde 2.2.2
Patch10:	kdeutils-2.2.2-fix-ark-default-extract-value.patch.bz2

# Laurent - 2.2.2-22mdk - fix mem leak in kfind patch commited in kde 2.2.2
Patch11:	kdeutils-2.2.2-fix-kfind-mem-leak.patch.bz2

# Laurent - 2.2.2-23mdk - fix mem leak in kpm, patch commited in kde 2.2.2
Patch12:	kdeutils-2.2.2-fix-kpm-mem-leak.patch.bz2

# Laurent - 2.2.2-26mdk fix mem leak in kcalc
Patch13:	kdeutils-2.2.2-fix-kcalc-mem-leak.patch.bz2

# Laurent - 2.2.2-27mdk - fix mem leak in kpm
Patch14:	kdeutils-2.2.2-fix-kpm-mem-leak2.patch.bz2

# Laurent - 2.22.-27mdk- fix mem leak in kpm
Patch15:	kdeutils-2.2.2-fix-kpm-mem-leak3.patch.bz2

# Laurent - 2.2.2-28mdk - fix kdf mem leak
Patch16:	~/kdeutils-2.2.2-fix-kdf-mem-leak.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Obsoletes:	kdf
Provides:	kdf

# Dadou - 2.2.1-3mdk - dosfstools is for kfloppy and efax for kfax
Requires:	dosfstools, efax

# Dadou - 2.1-1mdk - For battery control
Requires:	apmd

# David - 2.2.2-19mdk - For artk
Requires:	bzip2, gzip, tar, unzip, zip

%if %buildfor8_2
Obsoletes:	kdeutils-static-devel
%endif

%if %buildfor7_2
BuildRequires:	XFree86-devel
%endif

%if %buildfor8_0
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:	autoconf automake db1 diffutils file freetype2 gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs-devel
BuildRequires:	libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1
BuildRequires:	libpng2 libqt2-devel libtermcap m4
BuildRequires:	mktemp pam popt readline rpm-build texinfo zlib1
%endif

%if %buildfor8_1
BuildRequires:  Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:  autoconf automake db1 diffutils file freetype2 gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs-devel
BuildRequires:  libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1
BuildRequires:  libpng2 libqt2 libqt2-devel libtermcap m4
BuildRequires:  mktemp pam popt readline rpm-build texinfo zlib1
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase-devel kdelibs-devel libMesaGLU1 libbinutils2
BuildRequires:	libbzip2_1-devel libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:	libpng3-devel libqt2-devel
BuildRequires:	libtermcap2 m4 mktemp  perl popt rpm-build texinfo
BuildRequires:	zlib1-devel
%endif


%description
Utilities for the K Desktop Environment.


%package devel
Summary:	Header files for kdeutils
%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
Group:		Development/KDE and QT
%else
Group:		Development/KDE and Qt
%endif
PreReq:		%name = %version-%release

%description devel
Headers files for kdeutils.


%package static-devel
Summary:	Static libraries for kdeutils
Group:		Development/KDE and QT
PreReq:		%name-devel = %version-%release

%description static-devel
Static libraries for kdeutils.



%prep

%setup -q
%patch0 -p1
# Laurent Montel -2.2.2-13mdk -fix range in nice dialogbox patch commited in kde 2.2.2
%patch1 -p1

# LAurent Montel - 2.2.2-14mdk - fix kedit send mail dialogbox - disable send mail button when recipient is empty
%patch2 -p1

# Laurent Montel - 2.2.2-15mdk - fix kedit add kintvalidator for "Wrap Column" value in config dialogbox, patch commited in kde 2.2.2. 
%patch3	-p1

# Laurent -2.2.2-16mdk - fix kljettool, use kintvalidator, patch commited in kde 2.2.2 branch
%patch4 -p1

# Laurent - 2.2.2-17mdk- fix klpq used kurlrequester, patch commited in kde 2.2.2 branch
%patch5 -p1

# Lauyrent - 2.2.2-18mdk - fix karm disable button when item is not selected
%patch6 -p1

%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
make -f Makefile.cvs

%if %buildfor7_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
	            --mandir=%_mandir \
	            --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-objprelink \
		    --disable-xinerama \
		    --disable-mt \
		    --disable-rpath
%endif

%if %buildfor8_0
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-objprelink \
                    --disable-xinerama \
                    --disable-mt \
                    --disable-rpath
%endif

%if %buildfor8_1
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath
%endif

%if %buildfor8_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform  \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath
%endif


%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot


# Create MDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/
kdedesktop2mdkmenu.pl kdeutils Applications/File\ tools %buildroot/%_datadir/applnk/Kfind.desktop %buildroot/%_menudir/kdeutils-kfind

# %%_datadir/applnk/Editors/
kdedesktop2mdkmenu.pl kdeutils Applications/Editors %buildroot/%_datadir/applnk/Editors/KEdit.desktop %buildroot/%_menudir/kdeutils-kedit kde

# %%_datadir/applnk/Settings/Information/
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/kcmdf.desktop %buildroot/%_menudir/kdeutils-kcmdf kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/pcmcia.desktop %buildroot/%_menudir/kdeutils-pcmcia kde

# %%_datadir/applnk/Settings/PowerControl/
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/battery.desktop %buildroot/%_menudir/kdeutils-battery kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/bwarning.desktop %buildroot/%_menudir/kdeutils-bwarning kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/cwarning.desktop %buildroot/%_menudir/kdeutils-cwarning kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/power.desktop %buildroot/%_menudir/kdeutils-power kde

# %%_datadir/applnk/System/
kdedesktop2mdkmenu.pl kdeutils Applications/Monitoring %buildroot/%_datadir/applnk/System/kdf.desktop %buildroot/%_menudir/kdeutils-kdf
kdedesktop2mdkmenu.pl kdeutils Applications/Monitoring %buildroot/%_datadir/applnk/System/kpm.desktop %buildroot/%_menudir/kdeutils-kpm
kdedesktop2mdkmenu.pl kdeutils Configuration/Hardware %buildroot/%_datadir/applnk/System/kwikdisk.desktop %buildroot/%_menudir/kdeutils-kwikdisk kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdeutils Applications/Archiving/Compression %buildroot/%_datadir/applnk/Utilities/ark.desktop %buildroot/%_menudir/kdeutils-ark
# Dadou - 2.2-0.beta1.1mdk - Linux-Mandrake 7.2 and 8.0 use the old Office menu structure
%if %buildfor7_2 || %buildfor8_0
kdedesktop2mdkmenu.pl kdeutils Office %buildroot/%_datadir/applnk/Utilities/kab.desktop %buildroot/%_menudir/kdeutils-kab
kdedesktop2mdkmenu.pl kdeutils Office %buildroot/%_datadir/applnk/Utilities/karm.desktop %buildroot/%_menudir/kdeutils-karm
%else
kdedesktop2mdkmenu.pl kdeutils Office/AddressBooks %buildroot/%_datadir/applnk/Utilities/kab.desktop %buildroot/%_menudir/kdeutils-kab
kdedesktop2mdkmenu.pl kdeutils Office/Time\ management %buildroot/%_datadir/applnk/Utilities/karm.desktop %buildroot/%_menudir/kdeutils-karm
%endif

kdedesktop2mdkmenu.pl kdeutils Applications/Sciences/Mathematics %buildroot/%_datadir/applnk/Utilities/kcalc.desktop %buildroot/%_menudir/kdeutils-kcalc
kdedesktop2mdkmenu.pl kdeutils Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/KCharSelect.desktop %buildroot/%_menudir/kdeutils-kcharselect
kdedesktop2mdkmenu.pl kdeutils Configuration/Other %buildroot/%_datadir/applnk/Utilities/kdepasswd.desktop %buildroot/%_menudir/kdeutils-kdepasswd
kdedesktop2mdkmenu.pl kdeutils Configuration/Hardware %buildroot/%_datadir/applnk/Utilities/KFloppy.desktop %buildroot/%_menudir/kdeutils-kfloppy
kdedesktop2mdkmenu.pl kdeutils Applications/Editors %buildroot/%_datadir/applnk/Utilities/khexedit.desktop %buildroot/%_menudir/kdeutils-khexedit
kdedesktop2mdkmenu.pl kdeutils Configuration/Printing %buildroot/%_datadir/applnk/Utilities/KLJetTool.desktop %buildroot/%_menudir/kdeutils-kljettool
kdedesktop2mdkmenu.pl kdeutils Applications/Communications %buildroot/%_datadir/applnk/Utilities/klprfax.desktop %buildroot/%_menudir/kdeutils-klprfax
kdedesktop2mdkmenu.pl kdeutils Configuration/Printing %buildroot/%_datadir/applnk/Utilities/KLpq.desktop %buildroot/%_menudir/kdeutils-klpq

%if %buildfor7_2 || %buildfor8_0
kdedesktop2mdkmenu.pl kdeutils Office %buildroot/%_datadir/applnk/Utilities/ktimer.desktop %buildroot/%_menudir/kdeutils-ktimer kde
kdedesktop2mdkmenu.pl kdeutils Office %buildroot/%_datadir/applnk/Utilities/knotes.desktop %buildroot/%_menudir/kdeutils-knotes kde
kdedesktop2mdkmenu.pl kdeutils Office %buildroot/%_datadir/applnk/Utilities/Kjots.desktop %buildroot/%_menudir/kdeutils-kjots
%else
kdedesktop2mdkmenu.pl kdeutils Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/Kjots.desktop %buildroot/%_menudir/kdeutils-kjots

kdedesktop2mdkmenu.pl kdeutils Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/knotes.desktop %buildroot/%_menudir/kdeutils-knotes kde
kdedesktop2mdkmenu.pl kdeutils Office/Time\ management %buildroot/%_datadir/applnk/Utilities/ktimer.desktop %buildroot/%_menudir/kdeutils-ktimer kde
%endif


%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus


%clean
rm -fr %buildroot/


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/ark/
%doc %_docdir/HTML/en/ark/common
%doc %_docdir/HTML/en/ark/*.docbook
%doc %_docdir/HTML/en/ark/*.bz2
#
#
%dir %_docdir/HTML/en/kab/
%doc %_docdir/HTML/en/kab/common
%doc %_docdir/HTML/en/kab/*.docbook
%doc %_docdir/HTML/en/kab/*.png
%doc %_docdir/HTML/en/kab/*.bz2
#
#
%dir %_docdir/HTML/en/karm/
%doc %_docdir/HTML/en/karm/common
%doc %_docdir/HTML/en/karm/*.docbook
%doc %_docdir/HTML/en/karm/*.png
%doc %_docdir/HTML/en/karm/*.bz2
#
#
%dir %_docdir/HTML/en/kcalc/
%doc %_docdir/HTML/en/kcalc/common
%doc %_docdir/HTML/en/kcalc/*.docbook
%doc %_docdir/HTML/en/kcalc/*.txt
%doc %_docdir/HTML/en/kcalc/*.bz2
#
#
%dir %_docdir/HTML/en/kdf/
%doc %_docdir/HTML/en/kdf/common
%doc %_docdir/HTML/en/kdf/*.docbook
%doc %_docdir/HTML/en/kdf/*.png
%doc %_docdir/HTML/en/kdf/*.bz2
#
#
%dir %_docdir/HTML/en/kedit/
%doc %_docdir/HTML/en/kedit/common
%doc %_docdir/HTML/en/kedit/*.docbook
%doc %_docdir/HTML/en/kedit/*.bz2
#
#
%dir %_docdir/HTML/en/kfind/
%doc %_docdir/HTML/en/kfind/common
%doc %_docdir/HTML/en/kfind/*.docbook
%doc %_docdir/HTML/en/kfind/*.bz2
#
#
%dir %_docdir/HTML/en/kfloppy/
%doc %_docdir/HTML/en/kfloppy/common
%doc %_docdir/HTML/en/kfloppy/*.docbook
%doc %_docdir/HTML/en/kfloppy/*.bz2
#
#
%dir %_docdir/HTML/en/khexedit/
%doc %_docdir/HTML/en/khexedit/common
%doc %_docdir/HTML/en/khexedit/*.docbook
%doc %_docdir/HTML/en/khexedit/*.png
%doc %_docdir/HTML/en/khexedit/*.bz2
#
#
%dir %_docdir/HTML/en/kjots/
%doc %_docdir/HTML/en/kjots/common
%doc %_docdir/HTML/en/kjots/*.docbook
%doc %_docdir/HTML/en/kjots/*.bz2
#
#
%dir %_docdir/HTML/en/kljettool/
%doc %_docdir/HTML/en/kljettool/common
%doc %_docdir/HTML/en/kljettool/filter
%doc %_docdir/HTML/en/kljettool/magic
%doc %_docdir/HTML/en/kljettool/README
%doc %_docdir/HTML/en/kljettool/*.docbook
%doc %_docdir/HTML/en/kljettool/*.png
%doc %_docdir/HTML/en/kljettool/*.txt
%doc %_docdir/HTML/en/kljettool/*.zip
%doc %_docdir/HTML/en/kljettool/*.bz2
#
#
%dir %_docdir/HTML/en/klpq/
%doc %_docdir/HTML/en/klpq/common
%doc %_docdir/HTML/en/klpq/*.docbook
%doc %_docdir/HTML/en/klpq/*.bz2
#
#
%dir %_docdir/HTML/en/klprfax/
%doc %_docdir/HTML/en/klprfax/common
%doc %_docdir/HTML/en/klprfax/*.docbook
%doc %_docdir/HTML/en/klprfax/*.bz2
#
#
%dir %_docdir/HTML/en/knotes/
%doc %_docdir/HTML/en/knotes/common
%doc %_docdir/HTML/en/knotes/*.docbook
%doc %_docdir/HTML/en/knotes/*.bz2
#
#
%dir %_docdir/HTML/en/kpm/
%doc %_docdir/HTML/en/kpm/common
%doc %_docdir/HTML/en/kpm/*.1
%doc %_docdir/HTML/en/kpm/*.docbook
%doc %_docdir/HTML/en/kpm/*.png
%doc %_docdir/HTML/en/kpm/*.bz2
#
#
#
# Laurent - 2.2-6mdk - efax, efix and fax man pages are provided by efax package
#%doc %_mandir/man1/efax.1.*
#%doc %_mandir/man1/efix.1.*
#%doc %_mandir/man1/fax.1.*
#
#
#
%_bindir/ark
# Laurent - 2.2-6mdk - %%_bindir/efax, %%_bindir/efix and %%_bindir/fax are
#                      provided by efax package
#%_bindir/efax
#%_bindir/efix
#%_bindir/fax
%_bindir/kab
%_bindir/karm
%_bindir/kcalc
%_bindir/kcharselect
%_bindir/kdepasswd
%_bindir/kdessh
%_bindir/kdf
%_bindir/kedit
%_bindir/kfind
%_bindir/kfloppy
%_bindir/khexedit
%_bindir/kjots
%_bindir/klaptopdaemon
%_bindir/kljettool
%_bindir/klpq
%_bindir/klprfax
%_bindir/klprfax_filter
%_bindir/klprfax_lpd
%_bindir/knotes
%_bindir/kpm
%_bindir/kpmdocked
%_bindir/ktimer
%_bindir/kwikdisk
#
#
#
%_libdir/*.la
%_libdir/*.so*
%_libdir/kde2/*.so*
%_libdir/kde2/*.la
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%_datadir/applnk/Kfind.desktop
#
#
%dir %_datadir/applnk/Editors/
%_datadir/applnk/Editors/*.desktop
#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Information/
%_datadir/applnk/Settings/Information/*.desktop
#
%dir %_datadir/applnk/Settings/PowerControl/
%_datadir/applnk/Settings/PowerControl/*.desktop
#
#
%dir %_datadir/applnk/System/
%_datadir/applnk/System/*.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/ark/
%_datadir/apps/ark/*.rc
#
%dir %_datadir/apps/ark/icons/
%dir %_datadir/apps/ark/icons/hicolor/
%dir %_datadir/apps/ark/icons/hicolor/22x22/
%dir %_datadir/apps/ark/icons/hicolor/22x22/actions/
%_datadir/apps/ark/icons/hicolor/22x22/actions/*.png
#
#
%dir %_datadir/apps/kab/
%dir %_datadir/apps/kab/htmlexport/
%dir %_datadir/apps/kab/htmlexport/templates/
%_datadir/apps/kab/htmlexport/templates/*.gif
%_datadir/apps/kab/htmlexport/templates/*.html
#
%dir %_datadir/apps/kab/pics/
%_datadir/apps/kab/pics/*.png
#
#
%dir %_datadir/apps/karm/
%_datadir/apps/karm/*.rc
#
%dir %_datadir/apps/karm/pics/
%_datadir/apps/karm/pics/*.xpm
#
#
%dir %_datadir/apps/kcalc/
%dir %_datadir/apps/kcalc/pics/
%_datadir/apps/kcalc/pics/*.png
#
#
%dir %_datadir/apps/kdf/
%dir %_datadir/apps/kdf/pics/
%_datadir/apps/kdf/pics/*.png
#
#
%dir %_datadir/apps/kedit/
%_datadir/apps/kedit/*.rc
#
#
%dir %_datadir/apps/kfind/
%dir %_datadir/apps/kfind/icons/
%dir %_datadir/apps/kfind/icons/locolor/
%dir %_datadir/apps/kfind/icons/locolor/22x22/
%dir %_datadir/apps/kfind/icons/locolor/22x22/actions/
%_datadir/apps/kfind/icons/locolor/22x22/actions/*.png
#
#
%dir %_datadir/apps/kfloppy/
%dir %_datadir/apps/kfloppy/pics/
%_datadir/apps/kfloppy/pics/*.png
#
#
%dir %_datadir/apps/khexedit/
%dir %_datadir/apps/khexedit/toolbar/
%_datadir/apps/khexedit/toolbar/*.png
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kjots/
%dir %_datadir/apps/kjots/pics/
%_datadir/apps/kjots/pics/*.png
#
#
%dir %_datadir/apps/klaptopdaemon/
%dir %_datadir/apps/klaptopdaemon/icons/
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/16x16/
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/16x16/actions/
%_datadir/apps/klaptopdaemon/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/32x32/
%dir %_datadir/apps/klaptopdaemon/icons/hicolor/32x32/actions/
%_datadir/apps/klaptopdaemon/icons/hicolor/32x32/actions/*.png
#
#
%dir %_datadir/apps/kljettool/
%dir %_datadir/apps/kljettool/pics/
%_datadir/apps/kljettool/pics/*.png
#
#
%dir %_datadir/apps/knotes/
%_datadir/apps/knotes/*.rc
#
%dir %_datadir/apps/knotes/pics/
%_datadir/apps/knotes/pics/*.png
#
#
%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop
#
#
#
%dir %_datadir/config/
%_datadir/config/*
#
#
#
%dir %_datadir/services/
%_datadir/services/arkpart.desktop 
#
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png



%files devel
%defattr(-,root,root,-)
%_includedir/*.h



%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
%files static-devel
%defattr(-,root,root,-)
%_libdir/*.a
%_libdir/kde2/*.a
%endif



%changelog
* Mon Mar 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-28mdk
- Add patch16 fix kdf mem leak

* Sat Mar 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-27mdk
- Add patch14 : fix mem leak in kpm
- Add patch15 : fix other mem leak in kpm

* Fri Mar 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-26mdk
- Add patch13 fix mem leak in kcalc
- Remove requires on lha

* Fri Mar 08 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2.25mdk
- Remove duplicate Requires:

* Wed Mar 06 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-24mdk
- Don't Requires: lha

* Tue Mar 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-23mdk
- Add patch12 : fix mem leak in kpm

* Tue Mar 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-22mdk
- Add patch11 : fix mem leak in kfind

* Tue Mar 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-21mdk
- Add patch10 : fix ark extract dialogbox default value

* Tue Mar 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-20mdk
- Add Patch7 : Fix bug in ark
- Add patch8 : fix mem leak in ark
- Add patch9 : fix an other mem leak in ark

* Tue Mar 05 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-19mdk
- Requires: bzip2, gzip, lha, tar, unzip, zip

* Fri Mar 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-18mdk
- Add patch6 : fix karm disable button when item is not selected

* Thu Feb 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-17mdk
- Add patch5 : use kurlrequester in klpq

* Wed Feb 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-16mdk
- Add patch4 : fix kjettools use kintvalidator

* Tue Feb 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-15mdk
- Add patch3 : fix kedit used kintvalidator for "Wrap column" value

* Mon Feb 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-14mdk
- Add patch2 : kedit : disable send button when suject is empty

* Mon Feb 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-13mdk
- Fix kpm range in "nice" dialogbox 

* Tue Feb 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-12mdk
- Sync with kde2.2 branch (=> remove all my patchs commited in these branch)

* Sun Feb 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-11mdk
- Add patch9 : fix ark add focus to extract dialogbox 

* Sun Feb 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-10mdk
- Add patch7 : fix ark - disable ok button in extract dialog box when extract dir is empty
- Add patch8 : fix ark - enable recent menu.

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-9mdk
- Add patch5 : Use kurlrequester in preference dialogbox
- Add patch6 : Disable ok button in replace/find dialogbox when entry is empty

* Mon Feb 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-8mdk
- Add patch2 : comment some debug output in kfloppy
- Add patch3 : disable ok button in hexedit export dialogbox when filename is empty
- Add patch4 : fix timer in kpm

* Sun Feb 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-7mdk
- Add patch1 fix crash in karm when we add a new sub task

* Tue Jan 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-6mdk
- Rebuild

* Fri Jan 18 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-5mdk
- 8.2: Obsoletes: kdeutils-static-devel

* Thu Jan 17 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-4mdk
- Fix ./configure
- 8.2: don't build static libraries
- 8.2: disable debug

* Fri Dec 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-3mdk
- Make rpmlint happy

* Sun Dec 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Remove objprelink

* Thu Nov 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Wed Oct 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-3mdk
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink
- Clean %%files section (i.e. please respect alphabetic order or packages are
  not easy to maintain)

* Tue Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Fix ktimer menu entry (only kde)

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Thu Sep 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-12mdk
- Fix menu entry

* Mon Sep 10 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-11mdk
- Rebuild

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-10mdk
- Add kfloppy (I don't know why it was removed)

* Wed Sep 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-9mdk
- Rebuild with new kdelibs (remove dependance on fam)

* Mon Aug 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-8mdk
- Fix menu entry

* Sat Aug 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-7mdk
- Minor fix

* Wed Aug 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-6mdk
- Fix conflict with efax

* Wed Aug 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-5mdk
- Fix entry menu (ktimer, kjots, knotes)
- Enable xinerama

* Mon Aug 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-4mdk
- Fix entry menu (klprfax)

* Thu Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix generate menu (previous fix was bad)

* Thu Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix generate menu

* Mon Aug 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- Kde 2.2 pre1

* Wed Jul 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.2mdk
- Fix %%defattr in static-devel

* Sat Jun 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Fix Office menu structure for Linux-Mandrake 7.2 and 8.0

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2-0.alpha2.4mdk
- New office menu structure

* Fri Jun 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.3mdk
- Clean ./configure
- Enable debug and don't strip when we are not in final release

* Thu May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.2mdk
- Re-enable debug (low level)
- Requires: cups

* Tue May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2

* Thu Apr 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.1mdk
- kde2.2alpha1

* Tue Apr 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-4mdk
- Remove Requires: apmd

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-3mdk
- Remove ktimemon because this applet crashed all time.

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Wed Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Tue Mar 13 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Add Buildrequires

* Thu Feb 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010220.1mdk
- Update code
- Enable --disable-debug

* Sat Feb 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010210.1mdk
- Update code

* Fri Feb 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010209.1mdk
- Update code

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010208.1mdk
- Update code
- Fix groups

* Wed Feb 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010207.1mdk
- Update code

* Tue Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010206.1mdk
- Update code
- LMDK menu entries cleaned

* Mon Feb 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010205.1mdk
- Update code
- LMDK menu entries nearly cleaned

* Sun Feb 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010204.1mdk
- Update code
- Begin clean LMDK menu entries

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010203.1mdk
- Update code

* Fri Feb 02 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010202.1mdk
- Update code
- Rewrite files list to fix updates

* Tue Feb 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010201.1mdk
- Update code

* Thu Jan 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010130.1mdk
- Update code

* Mon Jan 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010129.1mdk
- Update code

* Sun Jan 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010128.1mdk
- Update code
- Enable debug (low level)

 Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010127.1mdk
- Update code

* Fri Jan 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010126.1mdk
- Update code

* Tue Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010125.1mdk
- Update code

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010124.1mdk
- Update code

* Thu Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010123.1mdk
- Update code

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010122.1mdk
- Update code

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010121-1mdk
- Build shared and static libraries
- Spec clean up

* Thu Jan 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010111.1mdk
- Update code

* Sun Dec 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001203.1mdk
- Update code

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Update code

* Wed Nov 22 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-9mdk
- Make Pixel/GC/etc. happy

* Mon Nov 20 2000 Laurent Montel <lmontel@mandrakesoft.com> 2.0-8mdk
- Update source and fix compile with gcc 2.96

* Wed Nov 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7mdk
- Rebuild for gcc 2.96

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Rebuild for Mandrake 7.2 update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Recompile for gcc 2.96
- Code update
- Remove Patches now in code
- ark did not compile

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Recompile for gcc 2.96
- Code update
- Remove Patches now in code

* Thu Oct 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-3mdk
- Compiled kdf per a bunch of user requests.

* Thu Oct 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Applied two patches to fix date problem from Laurent to ark.

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Code update to KDE 2.0 Release

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-3mdk
- KDE stuff in Configuration only for KDE (Menu)
- Spec clean up
- Human readable description

* Mon Oct 09 2000 Montel Laurent <lmontel@mandrakesoft.com> 1.99-2mdk
- kcharselect and kdepasswd were installed in kcontrol, it doesn't work
  when you click on in kcontrol 

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Code update to KDE 2.0 Release Candidate 1

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Code update

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Code update

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Code update

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Code update

* Thu Sep 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Move kljet control out of control panel into Configuration/Printing not a
  kcontrol module
                            
* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Code update
                            
* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Code update
                            
* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Code update
                            
* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Code update
                            
* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Code update
                            
* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Code update
                            
* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Code update
                            
* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Code update
                            
* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Code update
                            
* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Code update
- Fixed some menu entries

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Code update
- Changed menu build to use automated tools

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Code update

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Code update

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Code update

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Code update

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Code update

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Code update

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Code update
- Added Menu Files
- Removed automatic file generation

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Code update

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Code update

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Code update

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Code update

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Code update

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Code update

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Code update

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Code update

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Code updated
- Move install to /usr
- change package name

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Code update

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Code update

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- updated code snapshot to new version

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated code snapshot to new version

* Mon Jun 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code snapshot to new version

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code snapshot to newer version

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Rebuilt for Mandrake and updated code to more recent snapshot
- fixes several problems found with 1.90
